# -*- coding: utf-8 -*-
from setuphelpers import *
import platform
import distro

uninstallkey = []

# Declaring specific app values (TO CHANGE)
package_name = "xrdp"


def install():
    # Installing the package
    if distro.linux_distribution()[0].lower() in ["debian", "ubuntu"]:
        print("Installing deb package")
        install_apt(package_name)

    if distro.linux_distribution()[0].lower() in ["centos linux", "centos", "suse", "fedora", "redhat"]:
        print("Installing yum package")
        install_yum(package_name)


def uninstall():
    # Uninstalling the package
    if distro.linux_distribution()[0].lower() in ["debian", "ubuntu"]:
        print("Uninstalling deb package")
        uninstall_apt(package_name)

    if distro.linux_distribution()[0].lower() in ["centos linux", "centos", "suse", "fedora", "redhat"]:
        print("Uninstalling yum package")
        uninstall_yum(package_name)
